Bug 71128 - EDITING: MMULT function arguments have the same name.
Summary: EDITING: MMULT function arguments have the same name.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: Winfried Donkers (retired)
URL:
Whiteboard: BSA target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-01 16:23 UTC by John Smith
Modified: 2014-04-30 10:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
An ODT document, illustrating with screenshots, the situation described. (43.71 KB, application/vnd.oasis.opendocument.text)
2013-11-01 16:23 UTC, John Smith
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Smith 2013-11-01 16:23:49 UTC
Created attachment 88490 [details]
An ODT document, illustrating with screenshots, the situation described.

Problem description: 
Selecting the MMULT function from the Function Wizard displays the function's construction. The two variables used as separate arguments have the same name.
Steps to reproduce:
1. Open an instance of Calc and single click on the MMULT function in the Function Wizard.
Current behavior:

Expected behavior:
This is not a good practice and each variable should have a numeric attached, such that they become array1 and array2.
              
Operating System: Windows XP
Version: 4.1.2.3 release
Comment 1 Julien Nabet 2013-11-01 22:42:22 UTC
Still the case with master sources updated yesterday.
Here's the file (+ line start) which contain the declaration of the parameters:
http://opengrok.libreoffice.org/xref/core/sc/source/ui/src/scfuncs.src#4471

"Array 1" and "Array 2" could be ok or should be considered by UI team?

Winfried: any idea?
Comment 2 Winfried Donkers (retired) 2013-11-02 15:35:04 UTC
(In reply to comment #1)
> Still the case with master sources updated yesterday.
> Here's the file (+ line start) which contain the declaration of the
> parameters:
> http://opengrok.libreoffice.org/xref/core/sc/source/ui/src/scfuncs.src#4471
> 
> "Array 1" and "Array 2" could be ok or should be considered by UI team?
> 
> Winfried: any idea?

I have changed the names to array_1 and array_2 (similar to array_x and array_y in other array functions) and will submit patch after testing.
Comment 3 Commit Notification 2013-11-04 16:46:11 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=659bc507925aadc189495e59d58cffb882dba381

fdo#71128 arguments of calc function MMULT have same name



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.